Update legacy status page settings
curl --request PATCH \
--url https://monitor.aevr.space/api/v1/orgs/{orgId}/status-page \
--header 'Content-Type: application/json' \
--cookie auth-token= \
--data '
{
"id": "<string>",
"name": "<string>",
"isEnabled": true,
"isDefault": true,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"showHistory": true,
"showUptime": true,
"showIncidents": true,
"showMonitors": true,
"publicMonitorIds": [
"<string>"
],
"theme": {
"accent": "<string>",
"background": "<string>"
}
}
'import requests
url = "https://monitor.aevr.space/api/v1/orgs/{orgId}/status-page"
payload = {
"id": "<string>",
"name": "<string>",
"isEnabled": True,
"isDefault": True,
"slug": "<string>",
"title": "<string>",
"description": "<string>",
"logoUrl": "<string>",
"showHistory": True,
"showUptime": True,
"showIncidents": True,
"showMonitors": True,
"publicMonitorIds": ["<string>"],
"theme": {
"accent": "<string>",
"background": "<string>"
}
}
headers = {
"cookie": "auth-token=",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {cookie: 'auth-token=', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: '<string>',
name: '<string>',
isEnabled: true,
isDefault: true,
slug: '<string>',
title: '<string>',
description: '<string>',
logoUrl: '<string>',
showHistory: true,
showUptime: true,
showIncidents: true,
showMonitors: true,
publicMonitorIds: ['<string>'],
theme: {accent: '<string>', background: '<string>'}
})
};
fetch('https://monitor.aevr.space/api/v1/orgs/{orgId}/status-page', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Status Page
Update legacy status page settings
PATCH
/
api
/
v1
/
orgs
/
{orgId}
/
status-page
Update legacy status page settings
Authorizations
sessionCookieAuthapiKeyAuthbearerApiKeyAuth
Signed session cookie returned by the platform auth flows.
Path Parameters
Body
application/json
Response
200
Status page updated
⌘I